Summary:	The GNU versions of find utilities (find and xargs)
Name:		findutils
Version:	4.5.10
Release:	%mkrel 3
License:	GPLv3
Group:		File tools
URL:		http://www.gnu.org/software/findutils/findutils.html
Source0:	ftp://alpha.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		findutils-4.4.5-no-locate.patch
Patch1:		findutils-4.5.10-no-gets.patch
Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	info-install
Requires(preun):	info-install
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern). The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
%patch0 -p0 -b .locate
%patch1 -p1 -b .gets

%build
%configure2_5x \
	--disable-rpath \
	--enable-leaf-optimisation \
	--enable-d_type-optimization \
	--with-fts

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%{find_lang} %{name}

%post
%_install_info find.info

%preun
%_remove_install_info find.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/find
%{_bindir}/oldfind
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.5.10-3.mga3
+ Revision: 350358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 4.5.10-2.mga3
+ Revision: 273165
- Fix build with glibc-2.16 (patch originally from Gentoo)
- Update for usrmove

* Fri Jun 17 2011 tv <tv> 4.5.10-1.mga2
+ Revision: 109244
- new release

* Tue Jan 04 2011 tmb <tmb> 4.5.9-2.mga1
+ Revision: 148
- imported package findutils

